Main Page Modules Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACEXML_Attributes_Def_Builder Class Reference

`#include <Attributes_Def_Builder.h>`

Inheritance diagram for ACEXML_Attributes_Def_Builder:

[legend]
List of all members.

## Public Types
typedef auto_ptr< ACEXML_Attributes_Def_Builder > | VAR
## Public Methods
virtual | ~ACEXML_Attributes_Def_Builder ()=0
virtual int | setElement (const ACEXML_Char *namespaceURI, const ACEXML_Char *localName, const ACEXML_Char *qName ACEXML_ENV_ARG_DECL) ACE_THROW_SPEC((ACEXML_SAXException))=0
virtual ACEXML_Attribute_Def_Builder * | getAttribute_Def_Builder ()=0
virtual int | insertAttribute (ACEXML_Attribute_Def_Builder *def ACEXML_ENV_ARG_DECL)=0
virtual void | dump (void)=0

## Detailed Description

@ class ACEXML_Attributes_Def_Builder Attributes_Def_Builder.h "common/Attributes_Def_Builder.h"

@ brief An abstract virtual class defining an interface for building attribute definitions from DTD.

This class should be invisible to application programmers and is only used for validator implementors.

## Member Typedef Documentation

typedef auto_ptr<ACEXML_Attributes_Def_Builder> ACEXML_Attributes_Def_Builder::VAR

## Constructor & Destructor Documentation

ACEXML_Attributes_Def_Builder::~ACEXML_Attributes_Def_Builder | ( |  | ) | `[pure virtual]`

## Member Function Documentation

virtual void ACEXML_Attributes_Def_Builder::dump | ( | void |  | ) | `[pure virtual]`

| Dump the content of the attribute definition. Reimplemented in ACEXML_Debug_Attributes_Builder.

virtual ACEXML_Attribute_Def_Builder* ACEXML_Attributes_Def_Builder::getAttribute_Def_Builder | ( |  | ) | `[pure virtual]`

| Acquire an Attribute_Builder. Reimplemented in ACEXML_Debug_Attributes_Builder.

virtual int ACEXML_Attributes_Def_Builder::insertAttribute | ( | ACEXML_Attribute_Def_Builder *def | ACEXML_ENV_ARG_DECL | ) | `[pure virtual]`

| Add a definition for one attribute. Reimplemented in ACEXML_Debug_Attributes_Builder.

virtual int ACEXML_Attributes_Def_Builder::setElement | ( | const ACEXML_Char * | namespaceURI,
|  | const ACEXML_Char * | localName,
|  | const ACEXML_Char *qName | ACEXML_ENV_ARG_DECL_NOT_USED
| ) | `[pure virtual]`

  | Set the element name that the attribute builder applies. Return values:
  0 | if valid, -1 otherwise.
Reimplemented in ACEXML_Debug_Attributes_Builder.

The documentation for this class was generated from the following files:

- Attributes_Def_Builder.h
- Attributes_Def_Builder.cpp